#include "cherryplum.h"
#include <vector>

long long solve(int n, int m, int k, const std::vector<int>& p,
                const std::vector<int>& v, const std::vector<int>& d,
                const std::vector<long long>& w) {
    return 0;
}
